package com.yihu.jw.entity.health.bank;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;

/**
 * Created by wzn54 on 2018/12/28.
 */
@Entity
@Table(name = "wlyy_health_bank_activity_rule")
public class ActivityRuleDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "saas_id")
    private String saasId;

    @Column(name = "activityId")
    private String activityId;//活动id

    @Column(name = "value1")
    private String value1;//规则1 1、健康竟步 健康积分：type:"","step":""

    @Column(name = "value2")
    private String value2;//规则2 1、健康竟步 "time":"{"registrationTime":"","activityOfflineTime":"","deadLine":"","exchangeTime":""}",

    @Column(name = "value3")
    private String value3;//规则3  1、健康竟步 "exchangeType", "shoppingUrl","exchangeDescription":""

    @Column(name = "value4")
    private String value4;//规则4

    @Column(name = "del_flag")
    private Integer delFlag;//1有效、0无效

    @Transient
    private List<TaskGoodsDO> taskGoodsDOS;


    @Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    @Column(name = "activityId")
    public String getActivityId() {
        return activityId;
    }

    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }

    @Column(name = "value1")
    public String getValue1() {
        return value1;
    }

    public void setValue1(String value1) {
        this.value1 = value1;
    }

    @Column(name = "value2")
    public String getValue2() {
        return value2;
    }

    public void setValue2(String value2) {
        this.value2 = value2;
    }

    @Column(name = "value3")
    public String getValue3() {
        return value3;
    }

    public void setValue3(String value3) {
        this.value3 = value3;
    }

    @Column(name = "value4")
    public String getValue4() {
        return value4;
    }

    public void setValue4(String value4) {
        this.value4 = value4;
    }
    @Column(name = "del_flag")
    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    @Transient
    public List<TaskGoodsDO> getTaskGoodsDOS() {
        return taskGoodsDOS;
    }

    public void setTaskGoodsDOS(List<TaskGoodsDO> taskGoodsDOS) {
        this.taskGoodsDOS = taskGoodsDOS;
    }
}

